import React from 'react'
import { Helmet } from 'react-helmet'

import styled from 'styled-components/macro'

const StyledPage = styled.main`
  display: block;
`

const StyledPageHeader = styled.h2`
  color: ${({ theme }) => theme.page.headerColor};
  font-size: 3rem;
  font-weight: bold;
  margin: 0rem ${({ theme }) => theme.page.horizontalPadding} 0
    ${({ theme }) => theme.page.horizontalPadding};
`

interface IPage {
  children: React.ReactNode
  header: string
}

export default function Page(props: IPage) {
  const { header, children } = props

  return (
    <>
      <Helmet>
        <title>{header}</title>
      </Helmet>
      <StyledPage>
        <StyledPageHeader>{header}</StyledPageHeader>
        {children}
      </StyledPage>
    </>
  )
}
